com.amazonaws.services.codecommit.model

## Class BatchGetRepositoriesResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codecommit.model.BatchGetRepositoriesResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class BatchGetRepositoriesResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a batch get repositories operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BatchGetRepositoriesResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BatchGetRepositoriesResult` `clone()`
`boolean` `equals(Object obj)`
`List<RepositoryMetadata>` `getRepositories()` A list of repositories returned by the batch get repositories operation.
`List<String>` `getRepositoriesNotFound()` Returns a list of repository names for which information could not be found.
`int` `hashCode()`
`void` `setRepositories(Collection<RepositoryMetadata> repositories)` A list of repositories returned by the batch get repositories operation.
`void` `setRepositoriesNotFound(Collection<String> repositoriesNotFound)` Returns a list of repository names for which information could not be found.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`BatchGetRepositoriesResult` `withRepositories(Collection<RepositoryMetadata> repositories)` A list of repositories returned by the batch get repositories operation.
`BatchGetRepositoriesResult` `withRepositories(RepositoryMetadata... repositories)` A list of repositories returned by the batch get repositories operation.
`BatchGetRepositoriesResult` `withRepositoriesNotFound(Collection<String> repositoriesNotFound)` Returns a list of repository names for which information could not be found.
`BatchGetRepositoriesResult` `withRepositoriesNotFound(String... repositoriesNotFound)` Returns a list of repository names for which information could not be found.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BatchGetRepositoriesResult

    public BatchGetRepositoriesResult()

### Method Detail

#### getRepositories

    public List<RepositoryMetadata> getRepositories()

A list of repositories returned by the batch get repositories operation.

Returns:
  A list of repositories returned by the batch get repositories operation.

#### setRepositories

    public void setRepositories(Collection<RepositoryMetadata> repositories)

A list of repositories returned by the batch get repositories operation.

Parameters:
  `repositories` - A list of repositories returned by the batch get repositories operation.

#### withRepositories

    public BatchGetRepositoriesResult withRepositories(RepositoryMetadata... repositories)

A list of repositories returned by the batch get repositories operation.

NOTE: This method appends the values to the existing list (if any). Use `setRepositories(java.util.Collection)` or `withRepositories(java.util.Collection)` if you want to override the existing values.

Parameters:
  `repositories` - A list of repositories returned by the batch get repositories operation.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withRepositories

    public BatchGetRepositoriesResult withRepositories(Collection<RepositoryMetadata> repositories)

A list of repositories returned by the batch get repositories operation.

Parameters:
  `repositories` - A list of repositories returned by the batch get repositories operation.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getRepositoriesNotFound

    public List<String> getRepositoriesNotFound()

Returns a list of repository names for which information could not be found.

Returns:
  Returns a list of repository names for which information could not be found.

#### setRepositoriesNotFound

    public void setRepositoriesNotFound(Collection<String> repositoriesNotFound)

Returns a list of repository names for which information could not be found.

Parameters:
  `repositoriesNotFound` - Returns a list of repository names for which information could not be found.

#### withRepositoriesNotFound

    public BatchGetRepositoriesResult withRepositoriesNotFound(String... repositoriesNotFound)

Returns a list of repository names for which information could not be found.

NOTE: This method appends the values to the existing list (if any). Use `setRepositoriesNotFound(java.util.Collection)` or `withRepositoriesNotFound(java.util.Collection)` if you want to override the existing values.

Parameters:
  `repositoriesNotFound` - Returns a list of repository names for which information could not be found.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withRepositoriesNotFound

    public BatchGetRepositoriesResult withRepositoriesNotFound(Collection<String> repositoriesNotFound)

Returns a list of repository names for which information could not be found.

Parameters:
  `repositoriesNotFound` - Returns a list of repository names for which information could not be found.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public BatchGetRepositoriesResult clone()

Overrides:
  `clone` in class `Object`